﻿// <copyright file="HashType.cs" company="DotNetLib">
//
// .netlib: http://www.codeplex.com/DotNetLib
//
// This code is released under the New BSD License.
// A copy of this license is available at:
// http://www.codeplex.com/DotNetLib/license
//
// </copyright>

namespace DotNetLib.Security
{
  /// <summary>
  /// Hashing algorithms.
  /// </summary>
  public enum HashType
  {
    /// <summary>
    /// The MD5 hashing algorithm.
    /// </summary>
    MD5,

    /// <summary>
    /// The SHA1 hashing algorithm.
    /// </summary>
    SHA,

    /// <summary>
    /// The SHA256 hashing algorithm.
    /// </summary>
    SHA256,

    /// <summary>
    /// The SHA384 hashing algorithm.
    /// </summary>
    SHA384,

    /// <summary>
    /// The SHA512 hashing algorithm.
    /// </summary>
    SHA512,
  }
}
