﻿// <copyright file="WizardPageDesigner.cs" company="DotNetLib">
//
// .netlib: http://www.codeplex.com/DotNetLib
//
// This code is released under the New BSD License.
// A copy of this license is available at:
// http://www.codeplex.com/DotNetLib/license
//
// </copyright>

namespace DotNetLib.Windows.Forms.Design
{
  using System;
  using System.ComponentModel.Design;
  using System.Windows.Forms;
  using System.Windows.Forms.Design;

  internal class WizardPageDesigner : ParentControlDesigner
  {
    public override SelectionRules SelectionRules
    {
      get
      {
        return base.SelectionRules & SelectionRules.Moveable | ~SelectionRules.AllSizeable;
      }
    }

    public WizardPageDesigner()
    {
      AutoResizeHandles = true;
    }

    public override bool CanBeParentedTo(IDesigner parentDesigner)
    {
      return parentDesigner != null && parentDesigner.Component is Wizard;
    }

    internal void OnDragCompleteInternal(DragEventArgs de)
    {
      OnDragComplete(de);
    }

    internal void OnDragDropInternal(DragEventArgs de)
    {
      OnDragDrop(de);
    }

    internal void OnDragEnterInternal(DragEventArgs de)
    {
      OnDragEnter(de);
    }

    internal void OnDragLeaveInternal(EventArgs e)
    {
      OnDragLeave(e);
    }

    internal void OnDragOverInternal(DragEventArgs e)
    {
      OnDragOver(e);
    }

    internal void OnGiveFeedbackInternal(GiveFeedbackEventArgs e)
    {
      OnGiveFeedback(e);
    }
  }
}
